AutoCAD Inventor :: Section Feature In Drawing (Repositioning The Letter)
Aug 1, 2012When I do a section in a drawing, i always have to replace the letter a end of arrow.
Is there a way so the letters will always be at end of arrow?
When I do a section in a drawing, i always have to replace the letter a end of arrow.
Is there a way so the letters will always be at end of arrow?
I'm trying to reposition dimensions in a drawing through the API. The output of my code seems to indicate the method is working, but after it runs the drawing is unchanged. Here's the code (in VBA):
Dim oDoc As DrawingDocument
Set oDoc = ThisApplication.ActiveDocument
Dim oSheet As Sheet
Set oSheet = oDoc.Sheets.Item(1)
Dim oLdim As LinearGeneralDimension
Dim oLeaderNote As LeaderNote
Dim oDimLine As LineSegment2d ' Dimension Line
Dim oStartPt As Point2d ' Dimension Line Start Point
Dim oEndPt As Point2d ' Dimension Line End Point
[code]....
Looks like it moved my vertical dimension left, but it doesn't actually do anything. Is this not a viable method for repositioning a dimension?
I am having problems printing to drawing sizes other then A Size (Letter).
I have scanned through the messages in this Newsgroup and tried everything that I have found, including making sure that I set the properties in a specific order.
No matter what size I specify, the printer spits out the drawing on an A Size piece of paper.
Here is my
Private objApprenticeServerApp As New ApprenticeServerComponent
Private Sub PlotInventorDrawing(strDwgPath As String, strPlotSize As
String, strPlotter As String)
' Open a document.
Dim odoc As ApprenticeServerDocument
[Code] .......
I have created a part in Inventor that is not on the ground plane, is there an easy way to quickly re-position this on the ground plane ?
Cad Manager/Senior Designer
Autodesk Inventor Professional 2013 SP2 64-Bit Edition
Windows 7 HP Z400, Intel Xeon W3550 3.07GHz
12.0GB RAM, ATI FirePro V4800 (FireGL)
I'm trying to dimension an ellipse in the Inventor Drawing Feature. I've attached the .idw files. (the .ipt is too large)I am aware that the ellipse doesn't have a constant radius and was wondering what is accepted practice for these dimensions?
I need to first dimension the external elliptical shape (which I'm struggling at), might just add a note.
Secondly I'm trying to dimension the mesh part, its not centrally align to the part and since I can't put a center mark on I'm not sure how I should dimension this...
I am looking to use iLogic to create feature suppression in individual drawing views, i.e for simplicity, in view 1 part has a hole in view 2 part does not have a hole it has been suppressed
I am aware this can be done with iParts but im trying to avoid using iparts.
Problem: I have a part that goes through several processes, casting, machined, finish. I want to create a drawing sheet with views displaying the part through different stages.
Solution One: Create as many different parts (with different file names) for each stage and place the views accordingly. Really? Three or more part files to illustrate a single part?
Solution Two: Create a user parameter that will auto-suppress features to create different Levels of Details on Parts, but there is no way to initiate/set the user parameter for different views.
I understand 2012 has the ability to create part design representations, but we are still on 2011 and I am leery to upgrade for a feature that still might not work properly.
There has to be a way to suppress features in a specific view...iLogic? iPart? anything? I simply can't believe this is the case.
Is it just me, or did the Drawing View Thread Feature option get switch to default OFF, where it used to be on? Did I do something on accident to make this happen? how I can get it back by default?
Inventor Professional 2014
Windows 7, x64
Dual-core i7, 8GB RAM
NVIDIA Quadro FX 880M
HP Elitebook 8540w
Im trying to create some code for another user which takes the pre-selected drawing curve and retrieves the feature information from the model. More specifically, I want to pre-select the drawing curve of a hole, and then run the rule. The rule will take this selected drawing curve and get its model. Then from here I'm expecting I'll be able to use the Hole Feature classes in the API to retrieve the wanted information.
I've tried using SelectSet.Item(1by tut cannot seem to be able to set it as a drawing curve (or anything for that matter).
I facing problem with broken out section command problem.Whenever i select the command and select view inventor tip occured ( # fef attachment).
When i select ok everything command get canceled.I created sketch on view and then select command then also same problem occurred.
Is there any setting for this command. or i am going wrong while using this command.
I have a drawing where I am cutting a section on one sheet and them moving it to another sheet. Is there a way to get the section mark/callout to state on which sheet the section resides?
For example instead of the section just stating "A" it would say "A/3" or "A/Sheet 3" or something like that?
Inventor Professional 2013 (SP-2.3), Product Design Suite Ultimate
Desktop: Intel Core i7 3.4GHz, 16.0 GB RAM, Windows 7 Ultimate SP-1, 64-bit OS, (2) GeForce GTX 580 (331.81), Space Pilot Pro (3.16.1)
Laptop: Intel Core i7 3.9GHz, 16.0 GB RAM, Windows 7 Pro SP-1, 64-bit OS, GeForce GTX 780 (331.81), SpaceNavigator (3.17.7)
How to show, if it's possible, a feature of a part file as dashed in a drawing?
View 2 Replies View RelatedIn a drawing Is there anyway to section (and show the hatch pattern) on reference components?
View 9 Replies View RelatedI'm trying to 3d print an ABS mold of an 80" long by 6 inch high object. I can't figure out how to section my model into the multiple 6" sections, though I know I'll need 14 roughly the same size sections.
View 4 Replies View RelatedI have an assembly were i want to exclude some parts in a sectional drawing view. I mean i want those parts should be visible in section view but should not get sectioned. And the remaining parts will be in a sectioned view. Is that posible or i may be missing something.
View 8 Replies View RelatedHow do I calculate the area for a section of an extruded profile and display it in a drawing note? I see how to add a field <AREA> in the text dialog box, but it comes up as N/A in my text box in the drawing. This is also the case for <MASS> and <VOLUME>. How do I get the drawing fields associated with the physical properties of the model?
View 2 Replies View RelatedIs it possible to scale the cross-hatching in a detail that was created from a section view so it looks better with the scale of a detail? If the scale factor of a detail is much larger than its parent, the cross-hatching is very sparse and detracts from clarity rather than adding to it.
View 2 Replies View RelatedI've just started to do some work with Inventor 2013 and I noticed that, when creating a section view in a drawing, the preview is always uncut and shaded. Even when creating a partial section, the preview shows the full, shaded assembly. I tried playing with the "Section View Preview as Uncut" setting in Application Options, but this doesn't seem to do anything.
View 2 Replies View RelatedWhen i make a drawing in inventor, in the Title Block, it says the title of the saved document in the Drawing No. section. So what i am saying is how do i get the title of the saved document out of the drawing number section and either delete it or get it in the Title section.
View 2 Replies View RelatedIs there an option in drawing mode to exclude certain parts from a section view.
According to ASME Y14.3 parts such as shafts, keys bolts and nuts should be excluded in sectional view. Its not just removing the Hatching, the part has to show completely.
The closest I found in Inventor is that you can exclude Standard parts from being sectioned. Some of my parts are not in the standard library.
I would like to have the option to choose which parts I want to section and which ones I don't.
I have a complex grading situation with a sewer near a drainage channel. Long story short.... I need to somehow look at my alignment section by section and try to establish a feature line that will represent my proposed top of slope. There are a ton of different constraints that I will not go into. My ultimate need is the ability to establish a feature line or 3d pline from the section view. I know that this is somehow possible via corridors. Im working with just an aligment and cross sections at every 25 feet. Is this possible?
View 3 Replies View RelatedIs there a way to project just one feature line (or anything appropiate...polyline, 3d poly etc) into the sections group or profiles ?
The thing is that Projection tool, labels everything that's a Block, Point, 3d poly ...etc to the sections group.
And it puts all labels in the same layer.
My project theme requires to project forest limit on every section. This is appearing on the survey as a polyline along the road. Civil Engineer / Infrastructure of metropolitan transports [URL]
I have a project with many different blocks of text, and colors changing from letter to letter within words.
How do I identify what any given color is?
When I click on a letter, it shows me a visual block of the color, but doesn't tell me what the corresponding color number is.
Problem being, if I see one letter and want to take its color to use it elsewhere, I have no way of knowing what that color is.
Is it possible to have the parent view for the section in one drawing and the child views in another drawing?
View 2 Replies View RelatedI am trying to verify the bending strength of a solid part. Need to calculate the section modulus on certain cross section. Don't know how to do it using inventor.
View 7 Replies View RelatedThe section view behaves strangely with the ‘section participation: none’ components
Invertor2012 sp2
Win7 x64
why my section is not parallel with my section line. I did constrain my section line in the section line sketch.
View 2 Replies View RelatedI'm making a logo for someone by hand-drawing a font I made up. But because I was having trouble drawing a perfect letter 'O', I'm using the "Circle/Ellipse" tool to do it. I drew an 'O' with that tool that's almost the right size... and I wanna draw another one just a little shorter... but I can't figure out how to place the completed new shape directly over the old one.
I don't know where to start the action with the tool! The completed shape always ends up in the wrong place. How to get my finished shape to complete just where I want it to? (Re-sizing the shape won't work because that changes the thickness of the line I used for the letter 'O'.)
I'm trying to have some advanced positioning - I don't know if this can be done using dynamic blocks. Start with some basic geometry - let's say a triangle - /. Now, I can add a rotate parameter & action that will let me spin that as I wish.
Next - add a couple attributes. I have a pair of attributes, separated by a text, aligned as "A1.A2" A1 is right-justified, and A2 is left-justified, so when edited they remain in the form "A1.A2" regardless of length. I can now add a point parameter, combined with a move action, that will let me reposition these three entities freely.
My question - can I have the rotate action trigger a move, such that the text repositions to a defined location without changing orientation (DON'T rotate the text!)?
So if I start with (leading . used for positioning in this forum text box):. A1.A2
I want to rotate it to: A1.A2
While I'd love to have it totally self-adjust, I mainly need it to handle 45-degree increments of rotation.Is there a way of expressing this using dynamic blocks using action and/or constraints? Or would this require a lisp construct?
In the drawing view below, I want to section the green assembly only within the red section. I've tried this with a breakout and it doesn't work. There doesn't seem to be a way to exclude the green from the section and yet include it in the breakout.
Infrastructure DSP '14 / Product DSP '14 / Vault Professional 2014
Dell Precision T1650
Windows 7 Professional SP1 64-bit
Intel E3-1270 V2 3.5GHz / 32G RAM
Nvidia Quadro 2000, Driver 331.82
Space Navigator, Driver Version 6.17.7
How can I revolve the top section to blend into the bottom section.
View 2 Replies View Related